#pragma once
#include "Entity.h"
#define MENURESETKEY_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_resetkey"
class MenuResetKey_Player1Keyboard :
	public Entity
{
public:
	MenuResetKey_Player1Keyboard();
	void Step() override;
	std::weak_ptr<Entity> GetEntityByType(const wchar_t* name);
private:
	const int counter_max = 200;
	int counter = counter_max;
};

std::shared_ptr<Entity> CreateMenuResetKey_Player1Keyboard();